DRM_SEND_VBLANK_EVEN(9)

NAME
drm_send_vblank_event - helper to send vblank event after pageflip

SYNOPSIS

void drm_send_vblank_event(struct drm_device * dev, int crtc, struct drm_pending_vblank_event * e);

ARGUMENTS

dev
    DRM device

crtc
    CRTC in question

e
    the event to send

DESCRIPTION

Updates sequence # and timestamp on event, and sends it to userspace. Caller must hold event lock.

This is the legacy version of drm_crtc_send_vblank_event.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT